//
//  YHFileListContentView.swift
//  galaxy
//
//  Created by davidhuangA on 2024/3/20.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHFileListContentView: UIView {
    override init(frame: CGRect) {
        super.init(frame: frame)
        initView()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    var dataModel : [YHFileListModel?]? {
        didSet {
            updataUI()
        }
    }
}


private extension YHFileListContentView {
    func initView() {
        backgroundColor = .clear
        
       
    }
}

extension YHFileListContentView {
    func updataUI() {
        
        guard let arrData = dataModel,arrData.count > 0 else { return }
        
        let sessionBkgImageV : UIImageView = UIImageView(image: UIImage(named: "file_list_head_bkg"))
        sessionBkgImageV.contentMode = .scaleAspectFill
        
        addSubview(sessionBkgImageV)
        sessionBkgImageV.snp.makeConstraints { make in
            make.top.equalToSuperview().offset(2)
            make.left.equalToSuperview().offset(2)
            make.right.equalToSuperview().offset(-2)
            make.height.equalTo(70)
            
            make.bottom.equalToSuperview().offset(-20)
        }
        
        
        for (index,item) in arrData.enumerated() {
            
        }
    }
}
